[ubuntu/maverick] apiextractor 0.8.0-0ubuntu1 (Accepted)

Didier Raboud didier at raboud.com
Mon Sep 27 19:26:27 BST 2010


apiextractor (0.8.0-0ubuntu1) maverick; urgency=low

  * New 0.8.0 upstream release (LP: #648612)
    - Bumping the SOVERSION to 0.8, add two symbols for 0.8.
    - Remove all patches
  * Version the Build-Depends to ease future backports

apiextractor (0.7.0-1~exp2) experimental; urgency=low

  * Patches:
    + Add u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      from upstream, to correct qtgui_qwidget test segfault in pyside.

apiextractor (0.7.0-1~exp1) experimental; urgency=low

  * Patches:
    + Add 01_memory_alignment_fix.patch : Fixes various memory alignment
      issues which cause generator to crash on alignment-sensitive
      architectures (Closes: #590302)

apiextractor (0.7.0-1~exp0) experimental; urgency=low

  [ Didier Raboud ]
  * New 0.7.0 upstream release
    - Bump libapiextractor SONAME to 0.7
  * Patches:
    - Remove spellingErrors.patch, included upstream.
  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

  [ Piotr Ożarowski ]
  * Set the DM-Upload-Allowed flag to yes

Date: Mon, 27 Sep 2010 20:09:57 +0200
Changed-By: Didier Raboud <didier at raboud.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Signed-By: Stefano Rivera <launchpad at rivera.za.net>
https://launchpad.net/ubuntu/maverick/+source/apiextractor/0.8.0-0ubuntu1
-------------- next part --------------
Format: 1.8
Date: Mon, 27 Sep 2010 20:09:57 +0200
Source: apiextractor
Binary: libapiextractor-dbg libapiextractor-dev libapiextractor0.8 apiextractor-doc
Architecture: source
Version: 0.8.0-0ubuntu1
Distribution: maverick
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Didier Raboud <didier at raboud.com>
Description: 
 apiextractor-doc - documentation for the library headers parser
 libapiextractor-dbg - debugging symbols for the library headers parser
 libapiextractor-dev - development files for the library headers parser
 libapiextractor0.8 - library headers parser that creates an API abstract representatio
Closes: 590302
Launchpad-Bugs-Fixed: 648612
Changes: 
 apiextractor (0.8.0-0ubuntu1) maverick; urgency=low
 .
   * New 0.8.0 upstream release (LP: #648612)
     - Bumping the SOVERSION to 0.8, add two symbols for 0.8.
     - Remove all patches
   * Version the Build-Depends to ease future backports
 .
 apiextractor (0.7.0-1~exp2) experimental; urgency=low
 .
   * Patches:
     + Add u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
       from upstream, to correct qtgui_qwidget test segfault in pyside.
 .
 apiextractor (0.7.0-1~exp1) experimental; urgency=low
 .
   * Patches:
     + Add 01_memory_alignment_fix.patch : Fixes various memory alignment
       issues which cause generator to crash on alignment-sensitive
       architectures (Closes: #590302)
 .
 apiextractor (0.7.0-1~exp0) experimental; urgency=low
 .
   [ Didier Raboud ]
   * New 0.7.0 upstream release
     - Bump libapiextractor SONAME to 0.7
   * Patches:
     - Remove spellingErrors.patch, included upstream.
   * Build docs in binary-indep target.
   * Bump Standards to 3.9.1.0 without changes needed.
 .
   * Uploading to experimental as we are in transition freeze.
 .
   [ Piotr Ożarowski ]
   * Set the DM-Upload-Allowed flag to yes
Checksums-Sha1: 
 872d341edd8fe49e523d0cf53c71511fd199856b 1594 apiextractor_0.8.0-0ubuntu1.dsc
 fc848311c6c477e3e1e0215aa5edd45215685ea9 295762 apiextractor_0.8.0.orig.tar.bz2
 63a8d19d9cf1b93d8c2936441b75e6ccfef43088 9489 apiextractor_0.8.0-0ubuntu1.debian.tar.gz
Checksums-Sha256: 
 fa0f8e6faac5f4372a2cd7991e10812d597d8d783fec867ccadaeed871165243 1594 apiextractor_0.8.0-0ubuntu1.dsc
 b6a8ba2af0ea78c0d0238cbf1b02c1145c20b7b8b96af983059307797aabbf66 295762 apiextractor_0.8.0.orig.tar.bz2
 9c4d1bf268225af50e76c6240f2b31fb77155496a37147bfee2d31d7550e0f28 9489 apiextractor_0.8.0-0ubuntu1.debian.tar.gz
Files: 
 a7d40a16e1a3bd91f6ad7d6256d2b8d0 1594 libs optional apiextractor_0.8.0-0ubuntu1.dsc
 24c0f025ff7bf5c7b72a3721fddcaad5 295762 libs optional apiextractor_0.8.0.orig.tar.bz2
 1206184f3e5db23cc3152a9f679d0365 9489 libs optional apiextractor_0.8.0-0ubuntu1.debian.tar.gz
Original-Maintainer: Didier Raboud <didier at raboud.com>


More information about the Maverick-changes mailing list